Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.extensions
Interface ExtensionAttachment

All Known Implementing Classes:
  AFPExtensionAttachment, PSExtensionAttachment, XMPMetadata

public interface ExtensionAttachment

This interface is implemented by objects that are returned by special extension element through the FONode.getExtensionAttachment() method. Such objects are carried in the FO tree and made available to the layout managers that support processing extension attachments or support passing them on to the area tree where they can be picked up by renderers.

NOTE: Classes which implement this interface need to be Serializable!

Method Summary
`java.lang.String` | `getCategory()` This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.

Method Detail

### getCategory

    public java.lang.String getCategory()

  This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.

  Returns:
    the category URI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.